#ifndef __GRID_H__
#define __GRID_H__

#include "Char.H"

class Grid {
	public:
		Grid(unsigned int wdth, unsigned int hght);
		Grid(const Grid &);
		~Grid();
		void fill(Char chr);
		void fill(unsigned int col, Char chr);  // Vertical Line
		void fill(Char chr, unsigned int row);  // Horizontal Line
		void fill(Char chr, unsigned int col1, unsigned int row1,
				unsigned int col2, unsigned int row2);
		int set(unsigned int col, unsigned int row, Char chr);
		int set(int col, int row, const Grid &grd);
		Char get(unsigned int col, unsigned int row) const ;
		unsigned int width() const { return (_width); }
		unsigned int height() const { return (_height); }
	private:
		Char _nul; // do something with this at some point
		Char *_grd;
		Grid &operator=(const Grid &);
		unsigned int _width;
		unsigned int _height;
};

#endif //__GRID_H__
